#include "libMesaSR.h"
#include "myutil.h"
#include <opencv/cv.h>
#include <opencv/highgui.h>

extern void AcquireData(int *, int *, double **, double **, double **);
extern void ReadData(char *, int *, int *, double **, double **, double **);
extern void ShowData();
extern int CalibData();
extern void GetIntensityImg();
extern void DumpData();
extern int  DumpXYZ(char *, double *, double *, double *, int, int);
extern void GetBackgroundData(int);
extern int FindVarietyObjects_with_plane(unsigned int **, std::vector<int> *);
extern int CalcObjectUpperSurface(int label, unsigned int **, std::vector<int>);
extern void DumpForegroundData();
extern int  LocateObject(int);
extern void ReadObjectData();
extern void TransData();
extern CvPoint3D32f Trans3DPoints(double xval, double yval, double zval);
extern int Trans3DPointsandPrint(int, double *, double *, double *);
extern void transform_scene_positions_to_image_(int is_initial, 
					 double x, double y, double z, double tx, double ty, double tz);
extern void transform_scene_positions_to_image_cylinder(int is_initial,
				     double x, double y, double z, double tx, double ty, double tz);

//̗̈̓_Qi[
extern double forexval[25344];
extern double foreyval[25344];
extern double forezval[25344];

//摜TCY
extern int data_width, data_height;

//p[^pϐ
extern int datanum;

//̃f쐬pϐ
extern double BoxWX;
extern double BoxWY;
extern double BoxWZ;

//~f쐬pϐ
extern double CylinderHeight;
extern double CylinderRadius;

//̕pϐ
extern double TableAverage[3];
extern double TableNormal[3];

#define BACKGROUND_DEPTH VERY_SMALL

//fobOp摜{Ɋg傷邩
#define AMP_NUM 3